# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
INCLUDES = -I$(top_srcdir)/kio -I$(top_srcdir) -I$(top_srcdir)/interfaces -I$(top_builddir)/interfaces $(all_includes)

lib_LTLIBRARIES = libktexteditor.la

#>- libktexteditor_la_SOURCES = ktexteditor.cpp \
#>-     editinterface.cpp clipboardinterface.cpp  selectioninterface.cpp searchinterface.cpp \
#>-     codecompletioninterface.cpp wordwrapinterface.cpp blockselectioninterface.cpp \
#>-     configinterface.cpp cursorinterface.cpp  dynwordwrapinterface.cpp \
#>-     printinterface.cpp highlightinginterface.cpp markinterface.cpp \
#>-     popupmenuinterface.cpp undointerface.cpp viewcursorinterface.cpp \
#>-     editdcopinterface.cpp editdcopinterface.skel clipboarddcopinterface.cpp \
#>-     clipboarddcopinterface.skel selectiondcopinterface.cpp selectiondcopinterface.skel  \
#>-     searchdcopinterface.cpp searchdcopinterface.skel markinterfaceextension.cpp \
#>-     configinterfaceextension.cpp encodinginterface.cpp sessionconfiginterface.cpp \
#>-     viewstatusmsginterface.cpp editorchooser_ui.ui editorchooser.cpp \
#>-     blockselectiondcopinterface.cpp documentinfo.cpp documentdcopinfo.cpp\
#>-     blockselectiondcopinterface.skel documentdcopinfo.skel encodingdcopinterface.cpp \
#>-     encodingdcopinterface.skel printdcopinterface.cpp printdcopinterface.skel \
#>-     undodcopinterface.cpp undodcopinterface.skel viewcursordcopinterface.cpp \
#>-     viewcursordcopinterface.skel viewstatusmsgdcopinterface.cpp \
#>-     viewstatusmsgdcopinterface.skel selectioninterfaceext.cpp selectionextdcopinterface.skel
#>+ 17
libktexteditor_la_SOURCES=ktexteditor.cpp \
    editinterface.cpp clipboardinterface.cpp  selectioninterface.cpp searchinterface.cpp \
    codecompletioninterface.cpp wordwrapinterface.cpp blockselectioninterface.cpp \
    configinterface.cpp cursorinterface.cpp  dynwordwrapinterface.cpp \
    printinterface.cpp highlightinginterface.cpp markinterface.cpp \
    popupmenuinterface.cpp undointerface.cpp viewcursorinterface.cpp \
    editdcopinterface.cpp  clipboarddcopinterface.cpp \
     selectiondcopinterface.cpp   \
    searchdcopinterface.cpp  markinterfaceextension.cpp \
    configinterfaceextension.cpp encodinginterface.cpp sessionconfiginterface.cpp \
    viewstatusmsginterface.cpp  editorchooser.cpp \
    blockselectiondcopinterface.cpp documentinfo.cpp documentdcopinfo.cpp\
      encodingdcopinterface.cpp \
     printdcopinterface.cpp  \
    undodcopinterface.cpp  viewcursordcopinterface.cpp \
     viewstatusmsgdcopinterface.cpp \
     selectioninterfaceext.cpp  editdcopinterface_skel.cpp clipboarddcopinterface_skel.cpp selectiondcopinterface_skel.cpp searchdcopinterface_skel.cpp blockselectiondcopinterface_skel.cpp documentdcopinfo_skel.cpp encodingdcopinterface_skel.cpp printdcopinterface_skel.cpp undodcopinterface_skel.cpp viewcursordcopinterface_skel.cpp viewstatusmsgdcopinterface_skel.cpp selectionextdcopinterface_skel.cpp editorchooser_ui.cpp


libktexteditor_la_LDFLAGS = $(all_libraries) $(KDE_RPATH)
libktexteditor_la_LIBADD = $(LIB_KPARTS) $(top_builddir)/dcop/libDCOP.la

ktexteditorinclude_HEADERS = document.h view.h editor.h plugin.h editinterface.h undointerface.h \
                             selectioninterface.h cursorinterface.h \
                             clipboardinterface.h popupmenuinterface.h \
                             viewcursorinterface.h searchinterface.h highlightinginterface.h \
                             blockselectioninterface.h codecompletioninterface.h \
                             configinterface.h markinterface.h printinterface.h wordwrapinterface.h \
                             dynwordwrapinterface.h markinterfaceextension.h configinterfaceextension.h \
                             encodinginterface.h viewstatusmsginterface.h  sessionconfiginterface.h editorchooser.h \
			     documentinfo.h selectioninterfaceext.h selectionextdcopinterface.h


ktexteditorincludedir = $(includedir)/ktexteditor

#>- METASOURCES = AUTO

servicetypedir = $(kde_servicetypesdir)
servicetype_DATA = ktexteditor.desktop ktexteditoreditor.desktop ktexteditorplugin.desktop

kcm_ktexteditor_DATA = kcm_ktexteditor.desktop
kcm_ktexteditordir = $(kde_datadir)/kcm_componentchooser
subdir = interfaces/ktexteditor
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libktexteditor_la_DEPENDENCIES = $(top_builddir)/dcop/libDCOP.la
am_libktexteditor_la_OBJECTS = ktexteditor.lo editinterface.lo \
	clipboardinterface.lo selectioninterface.lo searchinterface.lo \
	codecompletioninterface.lo wordwrapinterface.lo \
	blockselectioninterface.lo configinterface.lo \
	cursorinterface.lo dynwordwrapinterface.lo printinterface.lo \
	highlightinginterface.lo markinterface.lo popupmenuinterface.lo \
	undointerface.lo viewcursorinterface.lo editdcopinterface.lo \
	clipboarddcopinterface.lo selectiondcopinterface.lo \
	searchdcopinterface.lo markinterfaceextension.lo \
	configinterfaceextension.lo encodinginterface.lo \
	sessionconfiginterface.lo viewstatusmsginterface.lo \
	editorchooser.lo blockselectiondcopinterface.lo documentinfo.lo \
	documentdcopinfo.lo encodingdcopinterface.lo \
	printdcopinterface.lo undodcopinterface.lo \
	viewcursordcopinterface.lo viewstatusmsgdcopinterface.lo \
	selectioninterfaceext.lo
#>- libktexteditor_la_OBJECTS = $(am_libktexteditor_la_OBJECTS)
#>+ 19
libktexteditor_la_final_OBJECTS = libktexteditor_la.all_cpp.lo 
libktexteditor_la_nofinal_OBJECTS = ktexteditor.lo editinterface.lo \
	clipboardinterface.lo selectioninterface.lo searchinterface.lo \
	codecompletioninterface.lo wordwrapinterface.lo \
	blockselectioninterface.lo configinterface.lo \
	cursorinterface.lo dynwordwrapinterface.lo printinterface.lo \
	highlightinginterface.lo markinterface.lo popupmenuinterface.lo \
	undointerface.lo viewcursorinterface.lo editdcopinterface.lo \
	clipboarddcopinterface.lo selectiondcopinterface.lo \
	searchdcopinterface.lo markinterfaceextension.lo \
	configinterfaceextension.lo encodinginterface.lo \
	sessionconfiginterface.lo viewstatusmsginterface.lo \
	editorchooser.lo blockselectiondcopinterface.lo documentinfo.lo \
	documentdcopinfo.lo encodingdcopinterface.lo \
	printdcopinterface.lo undodcopinterface.lo \
	viewcursordcopinterface.lo viewstatusmsgdcopinterface.lo \
	selectioninterfaceext.lo editdcopinterface_skel.lo clipboarddcopinterface_skel.lo selectiondcopinterface_skel.lo searchdcopinterface_skel.lo blockselectiondcopinterface_skel.lo documentdcopinfo_skel.lo encodingdcopinterface_skel.lo printdcopinterface_skel.lo undodcopinterface_skel.lo viewcursordcopinterface_skel.lo viewstatusmsgdcopinterface_skel.lo selectionextdcopinterface_skel.lo editorchooser_ui.lo
@KDE_USE_FINAL_FALSE@libktexteditor_la_OBJECTS = $(libktexteditor_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libktexteditor_la_OBJECTS = $(libktexteditor_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/blockselectiondcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/blockselectioninterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/clipboarddcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/clipboardinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/codecompletioninterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/configinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/configinterfaceextension.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/cursorinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/documentdcopinfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/documentinfo.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/dynwordwrapinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/editdcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/editinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/editorchooser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/encodingdcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/encodinginterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/highlightinginterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ktexteditor.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/markinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/markinterfaceextension.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/popupmenuinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/printdcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/printinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/searchdcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/searchinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/selectiondcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/selectioninterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/selectioninterfaceext.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/sessionconfiginterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/undodcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/undointerface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/viewcursordcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/viewcursorinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsgdcopinterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsginterface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/wordwrapinterface.Plo
#>+ 73
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/editdcopinterface_skel.P $(DEPDIR)/clipboarddcopinterface_skel.P $(DEPDIR)/selectiondcopinterface_skel.P $(DEPDIR)/searchdcopinterface_skel.P $(DEPDIR)/blockselectiondcopinterface_skel.P $(DEPDIR)/documentdcopinfo_skel.P $(DEPDIR)/encodingdcopinterface_skel.P $(DEPDIR)/printdcopinterface_skel.P $(DEPDIR)/undodcopinterface_skel.P $(DEPDIR)/viewcursordcopinterface_skel.P $(DEPDIR)/viewstatusmsgdcopinterface_skel.P $(DEPDIR)/selectionextdcopinterface_skel.P $(DEPDIR)/editorchooser_ui.P  $(DEPDIR)/libktexteditor_la.all_cpp.P  ./$(DEPDIR)/blockselectiondcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/blockselectioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/clipboarddcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/clipboardinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/codecompletioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/configinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/configinterfaceextension.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/cursorinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/documentdcopinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/documentinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/dynwordwrapinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/editdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/editinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/editorchooser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/encodingdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/encodinginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/highlightinginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ktexteditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/markinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/markinterfaceextension.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/popupmenuinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/printdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/printinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/searchdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/searchinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/selectiondcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/selectioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/selectioninterfaceext.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/sessionconfiginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/undodcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/undointerface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/viewcursordcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/viewcursorinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsgdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/wordwrapinterface.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/editdcopinterface_skel.P $(DEPDIR)/clipboarddcopinterface_skel.P $(DEPDIR)/selectiondcopinterface_skel.P $(DEPDIR)/searchdcopinterface_skel.P $(DEPDIR)/blockselectiondcopinterface_skel.P $(DEPDIR)/documentdcopinfo_skel.P $(DEPDIR)/encodingdcopinterface_skel.P $(DEPDIR)/printdcopinterface_skel.P $(DEPDIR)/undodcopinterface_skel.P $(DEPDIR)/viewcursordcopinterface_skel.P $(DEPDIR)/viewstatusmsgdcopinterface_skel.P $(DEPDIR)/selectionextdcopinterface_skel.P $(DEPDIR)/editorchooser_ui.P  ./$(DEPDIR)/blockselectiondcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/blockselectioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/clipboarddcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/clipboardinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/codecompletioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/configinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/configinterfaceextension.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/cursorinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/documentdcopinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/documentinfo.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/dynwordwrapinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/editdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/editinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/editorchooser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/encodingdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/encodinginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/highlightinginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ktexteditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/markinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/markinterfaceextension.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/popupmenuinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/printdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/printinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/searchdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/searchinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/selectiondcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/selectioninterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/selectioninterfaceext.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/sessionconfiginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/undodcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/undointerface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/viewcursordcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/viewcursorinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsgdcopinterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/viewstatusmsginterface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/wordwrapinterface.Plo

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libktexteditor_la_SOURCES)
DATA = $(kcm_ktexteditor_DATA) $(servicetype_DATA)

HEADERS = $(ktexteditorinclude_HEADERS)

DIST_COMMON = $(ktexteditorinclude_HEADERS) Makefile.am Makefile.in
SOURCES = $(libktexteditor_la_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  interfaces/ktexteditor/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  interfaces/ktexteditor/Makefile
	cd $(top_srcdir) && perl admin/am_edit interfaces/ktexteditor/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libktexteditor.la: $(libktexteditor_la_OBJECTS) $(libktexteditor_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libktexteditor_la_LDFLAGS) $(libktexteditor_la_OBJECTS) $(libktexteditor_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/blockselectiondcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/blockselectioninterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clipboarddcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/clipboardinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/codecompletioninterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/configinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/configinterfaceextension.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cursorinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/documentdcopinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/documentinfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynwordwrapinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/editdcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/editinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/editorchooser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encodingdcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encodinginterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/highlightinginterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ktexteditor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/markinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/markinterfaceextension.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/popupmenuinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/printdcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/printinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchdcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selectiondcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selectioninterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selectioninterfaceext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sessionconfiginterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/undodcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/undointerface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/viewcursordcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/viewcursorinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/viewstatusmsgdcopinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/viewstatusmsginterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wordwrapinterface.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
kcm_ktexteditorDATA_INSTALL = $(INSTALL_DATA)
install-kcm_ktexteditorDATA: $(kcm_ktexteditor_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kcm_ktexteditordir)
	@list='$(kcm_ktexteditor_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kcm_ktexteditorDATA_INSTALL) $$d$$p $(DESTDIR)$(kcm_ktexteditordir)/$$f"; \
	  $(kcm_ktexteditorDATA_INSTALL) $$d$$p $(DESTDIR)$(kcm_ktexteditordir)/$$f; \
	done

uninstall-kcm_ktexteditorDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(kcm_ktexteditor_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kcm_ktexteditordir)/$$f"; \
	  rm -f $(DESTDIR)$(kcm_ktexteditordir)/$$f; \
	done
servicetypeDATA_INSTALL = $(INSTALL_DATA)
install-servicetypeDATA: $(servicetype_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(servicetypedir)
	@list='$(servicetype_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(servicetypeDATA_INSTALL) $$d$$p $(DESTDIR)$(servicetypedir)/$$f"; \
	  $(servicetypeDATA_INSTALL) $$d$$p $(DESTDIR)$(servicetypedir)/$$f; \
	done

uninstall-servicetypeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(servicetype_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(servicetypedir)/$$f"; \
	  rm -f $(DESTDIR)$(servicetypedir)/$$f; \
	done
ktexteditorincludeHEADERS_INSTALL = $(INSTALL_HEADER)
install-ktexteditorincludeHEADERS: $(ktexteditorinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(ktexteditorincludedir)
	@list='$(ktexteditorinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(ktexteditorincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ktexteditorincludedir)/$$f"; \
	  $(ktexteditorincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ktexteditorincludedir)/$$f; \
	done

uninstall-ktexteditorincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(ktexteditorinclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(ktexteditorincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(ktexteditorincludedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=ktexteditorplugin.desktop undodcopinterface.h viewstatusmsgdcopinterface.h ktexteditoreditor.desktop viewcursordcopinterface.h searchdcopinterface.h documentdcopinfo.h kcm_ktexteditor.desktop ktexteditor.desktop editorchooser_ui.ui editdcopinterface.h clipboarddcopinterface.h blockselectiondcopinterface.h encodingdcopinterface.h printdcopinterface.h selectiondcopinterface.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(kcm_ktexteditordir) $(DESTDIR)$(servicetypedir) $(DESTDIR)$(ktexteditorincludedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-ui clean-final  clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-kcm_ktexteditorDATA \
	install-ktexteditorincludeHEADERS install-servicetypeDATA

install-exec-am: install-libLTLIBRARIES

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-kcm_ktexteditorDATA \
	uninstall-ktexteditorincludeHEADERS uninstall-libLTLIBRARIES \
	uninstall-servicetypeDATA

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool ctags distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-kcm_ktexteditorDATA install-ktexteditorincludeHEADERS \
	install-libLTLIBRARIES install-man install-servicetypeDATA \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
	pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am \
	uninstall-kcm_ktexteditorDATA \
	uninstall-ktexteditorincludeHEADERS uninstall-libLTLIBRARIES \
	uninstall-servicetypeDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 49
editdcopinterface.kidl: $(srcdir)/editdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/editdcopinterface.h > editdcopinterface.kidl || ( rm -f editdcopinterface.kidl ; false )
editdcopinterface_skel.cpp: editdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub editdcopinterface.kidl
clipboarddcopinterface.kidl: $(srcdir)/clipboarddcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/clipboarddcopinterface.h > clipboarddcopinterface.kidl || ( rm -f clipboarddcopinterface.kidl ; false )
clipboarddcopinterface_skel.cpp: clipboarddcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub clipboarddcopinterface.kidl
selectiondcopinterface.kidl: $(srcdir)/selectiondcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/selectiondcopinterface.h > selectiondcopinterface.kidl || ( rm -f selectiondcopinterface.kidl ; false )
selectiondcopinterface_skel.cpp: selectiondcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub selectiondcopinterface.kidl
searchdcopinterface.kidl: $(srcdir)/searchdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/searchdcopinterface.h > searchdcopinterface.kidl || ( rm -f searchdcopinterface.kidl ; false )
searchdcopinterface_skel.cpp: searchdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub searchdcopinterface.kidl
blockselectiondcopinterface.kidl: $(srcdir)/blockselectiondcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/blockselectiondcopinterface.h > blockselectiondcopinterface.kidl || ( rm -f blockselectiondcopinterface.kidl ; false )
blockselectiondcopinterface_skel.cpp: blockselectiondcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub blockselectiondcopinterface.kidl
documentdcopinfo.kidl: $(srcdir)/documentdcopinfo.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/documentdcopinfo.h > documentdcopinfo.kidl || ( rm -f documentdcopinfo.kidl ; false )
documentdcopinfo_skel.cpp: documentdcopinfo.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub documentdcopinfo.kidl
encodingdcopinterface.kidl: $(srcdir)/encodingdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/encodingdcopinterface.h > encodingdcopinterface.kidl || ( rm -f encodingdcopinterface.kidl ; false )
encodingdcopinterface_skel.cpp: encodingdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub encodingdcopinterface.kidl
printdcopinterface.kidl: $(srcdir)/printdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/printdcopinterface.h > printdcopinterface.kidl || ( rm -f printdcopinterface.kidl ; false )
printdcopinterface_skel.cpp: printdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub printdcopinterface.kidl
undodcopinterface.kidl: $(srcdir)/undodcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/undodcopinterface.h > undodcopinterface.kidl || ( rm -f undodcopinterface.kidl ; false )
undodcopinterface_skel.cpp: undodcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub undodcopinterface.kidl
viewcursordcopinterface.kidl: $(srcdir)/viewcursordcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/viewcursordcopinterface.h > viewcursordcopinterface.kidl || ( rm -f viewcursordcopinterface.kidl ; false )
viewcursordcopinterface_skel.cpp: viewcursordcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub viewcursordcopinterface.kidl
viewstatusmsgdcopinterface.kidl: $(srcdir)/viewstatusmsgdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/viewstatusmsgdcopinterface.h > viewstatusmsgdcopinterface.kidl || ( rm -f viewstatusmsgdcopinterface.kidl ; false )
viewstatusmsgdcopinterface_skel.cpp: viewstatusmsgdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub viewstatusmsgdcopinterface.kidl
selectionextdcopinterface.kidl: $(srcdir)/selectionextdcopinterface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/selectionextdcopinterface.h > selectionextdcopinterface.kidl || ( rm -f selectionextdcopinterface.kidl ; false )
selectionextdcopinterface_skel.cpp: selectionextdcopinterface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub selectionextdcopinterface.kidl

#>+ 14
editorchooser_ui.cpp: $(srcdir)/editorchooser_ui.ui editorchooser_ui.h editorchooser_ui.moc
	rm -f editorchooser_ui.cpp
	echo '#include <klocale.h>' > editorchooser_ui.cpp
	$(UIC) -tr ${UIC_TR} -i editorchooser_ui.h $(srcdir)/editorchooser_ui.ui > editorchooser_ui.cpp.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" editorchooser_ui.cpp.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_editorchooser_ui,g" >> editorchooser_ui.cpp ;\
	rm -f editorchooser_ui.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "editorchooser_ui.moc"' >> editorchooser_ui.cpp; else rm -f editorchooser_ui.cpp ; exit $$ret ; fi

editorchooser_ui.h: $(srcdir)/editorchooser_ui.ui
	$(UIC) -o editorchooser_ui.h $(srcdir)/editorchooser_ui.ui

editorchooser_ui.moc: editorchooser_ui.h
	$(MOC) editorchooser_ui.h -o editorchooser_ui.moc

#>+ 3
plugin.moc: $(srcdir)/plugin.h
	$(MOC) $(srcdir)/plugin.h -o plugin.moc

#>+ 1
mocs: plugin.moc
#>+ 3
configinterfaceextension.moc: $(srcdir)/configinterfaceextension.h
	$(MOC) $(srcdir)/configinterfaceextension.h -o configinterfaceextension.moc

#>+ 1
mocs: configinterfaceextension.moc
#>+ 3
editor.moc: $(srcdir)/editor.h
	$(MOC) $(srcdir)/editor.h -o editor.moc

#>+ 1
mocs: editor.moc
#>+ 3
view.moc: $(srcdir)/view.h
	$(MOC) $(srcdir)/view.h -o view.moc

#>+ 1
mocs: view.moc
#>+ 3
editorchooser.moc: $(srcdir)/editorchooser.h
	$(MOC) $(srcdir)/editorchooser.h -o editorchooser.moc

#>+ 1
mocs: editorchooser.moc
#>+ 3
document.moc: $(srcdir)/document.h
	$(MOC) $(srcdir)/document.h -o document.moc

#>+ 1
mocs: document.moc
#>+ 3
clean-metasources:
	-rm -f  plugin.moc configinterfaceextension.moc editor.moc view.moc editorchooser.moc document.moc

#>+ 15
clean-idl:
	-rm -f \
	editdcopinterface_skel.cpp editdcopinterface_skel.h editdcopinterface.kidl \
	clipboarddcopinterface_skel.cpp clipboarddcopinterface_skel.h clipboarddcopinterface.kidl \
	selectiondcopinterface_skel.cpp selectiondcopinterface_skel.h selectiondcopinterface.kidl \
	searchdcopinterface_skel.cpp searchdcopinterface_skel.h searchdcopinterface.kidl \
	blockselectiondcopinterface_skel.cpp blockselectiondcopinterface_skel.h blockselectiondcopinterface.kidl \
	documentdcopinfo_skel.cpp documentdcopinfo_skel.h documentdcopinfo.kidl \
	encodingdcopinterface_skel.cpp encodingdcopinterface_skel.h encodingdcopinterface.kidl \
	printdcopinterface_skel.cpp printdcopinterface_skel.h printdcopinterface.kidl \
	undodcopinterface_skel.cpp undodcopinterface_skel.h undodcopinterface.kidl \
	viewcursordcopinterface_skel.cpp viewcursordcopinterface_skel.h viewcursordcopinterface.kidl \
	viewstatusmsgdcopinterface_skel.cpp viewstatusmsgdcopinterface_skel.h viewstatusmsgdcopinterface.kidl \
	selectionextdcopinterface_skel.cpp selectionextdcopinterface_skel.h selectionextdcopinterface.kidl 

#>+ 4
clean-ui:
	-rm -f \
	editorchooser_ui.cpp editorchooser_ui.h editorchooser_ui.moc 

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  interfaces/ktexteditor/Makefile
	cd $(top_srcdir) && perl admin/am_edit interfaces/ktexteditor/Makefile.in


#>+ 11
libktexteditor_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/ktexteditor.cpp $(srcdir)/editinterface.cpp $(srcdir)/clipboardinterface.cpp $(srcdir)/selectioninterface.cpp $(srcdir)/searchinterface.cpp $(srcdir)/codecompletioninterface.cpp $(srcdir)/wordwrapinterface.cpp $(srcdir)/blockselectioninterface.cpp $(srcdir)/configinterface.cpp $(srcdir)/cursorinterface.cpp $(srcdir)/dynwordwrapinterface.cpp $(srcdir)/printinterface.cpp $(srcdir)/highlightinginterface.cpp $(srcdir)/markinterface.cpp $(srcdir)/popupmenuinterface.cpp $(srcdir)/undointerface.cpp $(srcdir)/viewcursorinterface.cpp $(srcdir)/editdcopinterface.cpp $(srcdir)/clipboarddcopinterface.cpp $(srcdir)/selectiondcopinterface.cpp $(srcdir)/searchdcopinterface.cpp $(srcdir)/markinterfaceextension.cpp $(srcdir)/configinterfaceextension.cpp $(srcdir)/encodinginterface.cpp $(srcdir)/sessionconfiginterface.cpp $(srcdir)/viewstatusmsginterface.cpp $(srcdir)/editorchooser.cpp $(srcdir)/blockselectiondcopinterface.cpp $(srcdir)/documentinfo.cpp $(srcdir)/documentdcopinfo.cpp $(srcdir)/encodingdcopinterface.cpp $(srcdir)/printdcopinterface.cpp $(srcdir)/undodcopinterface.cpp $(srcdir)/viewcursordcopinterface.cpp $(srcdir)/viewstatusmsgdcopinterface.cpp $(srcdir)/selectioninterfaceext.cpp editdcopinterface_skel.cpp clipboarddcopinterface_skel.cpp selectiondcopinterface_skel.cpp searchdcopinterface_skel.cpp blockselectiondcopinterface_skel.cpp documentdcopinfo_skel.cpp encodingdcopinterface_skel.cpp printdcopinterface_skel.cpp undodcopinterface_skel.cpp viewcursordcopinterface_skel.cpp viewstatusmsgdcopinterface_skel.cpp selectionextdcopinterface_skel.cpp editorchooser_ui.cpp  configinterfaceextension.moc plugin.moc editor.moc view.moc document.moc editorchooser.moc editorchooser_ui.moc
	@echo 'creating libktexteditor_la.all_cpp.cpp ...'; \
	rm -f libktexteditor_la.all_cpp.files libktexteditor_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libktexteditor_la.all_cpp.final; \
	for file in ktexteditor.cpp editinterface.cpp clipboardinterface.cpp selectioninterface.cpp searchinterface.cpp codecompletioninterface.cpp wordwrapinterface.cpp blockselectioninterface.cpp configinterface.cpp cursorinterface.cpp dynwordwrapinterface.cpp printinterface.cpp highlightinginterface.cpp markinterface.cpp popupmenuinterface.cpp undointerface.cpp viewcursorinterface.cpp editdcopinterface.cpp clipboarddcopinterface.cpp selectiondcopinterface.cpp searchdcopinterface.cpp markinterfaceextension.cpp configinterfaceextension.cpp encodinginterface.cpp sessionconfiginterface.cpp viewstatusmsginterface.cpp editorchooser.cpp blockselectiondcopinterface.cpp documentinfo.cpp documentdcopinfo.cpp encodingdcopinterface.cpp printdcopinterface.cpp undodcopinterface.cpp viewcursordcopinterface.cpp viewstatusmsgdcopinterface.cpp selectioninterfaceext.cpp editdcopinterface_skel.cpp clipboarddcopinterface_skel.cpp selectiondcopinterface_skel.cpp searchdcopinterface_skel.cpp blockselectiondcopinterface_skel.cpp documentdcopinfo_skel.cpp encodingdcopinterface_skel.cpp printdcopinterface_skel.cpp undodcopinterface_skel.cpp viewcursordcopinterface_skel.cpp viewstatusmsgdcopinterface_skel.cpp selectionextdcopinterface_skel.cpp editorchooser_ui.cpp ; do \
	  echo "#include \"$$file\"" >> libktexteditor_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libktexteditor_la.all_cpp.final; \
	done; \
	cat libktexteditor_la.all_cpp.final libktexteditor_la.all_cpp.files > libktexteditor_la.all_cpp.cpp; \
	rm -f libktexteditor_la.all_cpp.final libktexteditor_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libktexteditor_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libktexteditor_la_OBJECTS="$(libktexteditor_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libktexteditor_la_OBJECTS="$(libktexteditor_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libktexteditor_la_OBJECTS="$(libktexteditor_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libktexteditor_la_OBJECTS="$(libktexteditor_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 43
$(srcdir)/popupmenuinterface.cpp: editorchooser_ui.h 
$(srcdir)/editorchooser.cpp: editorchooser_ui.h 
$(srcdir)/selectioninterface.cpp: editorchooser_ui.h 
ktexteditor.lo: plugin.moc editor.moc view.moc document.moc 
$(srcdir)/highlightinginterface.cpp: editorchooser_ui.h 
$(srcdir)/searchdcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/dynwordwrapinterface.cpp: editorchooser_ui.h 
$(srcdir)/printdcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/documentdcopinfo.cpp: editorchooser_ui.h 
$(srcdir)/ktexteditor.cpp: editorchooser_ui.h 
configinterfaceextension.o: configinterfaceextension.moc 
$(srcdir)/blockselectioninterface.cpp: editorchooser_ui.h 
$(srcdir)/printinterface.cpp: editorchooser_ui.h 
editorchooser.o: editorchooser.moc 
$(srcdir)/viewstatusmsginterface.cpp: editorchooser_ui.h 
$(srcdir)/selectioninterfaceext.cpp: editorchooser_ui.h 
$(srcdir)/documentinfo.cpp: editorchooser_ui.h 
$(srcdir)/cursorinterface.cpp: editorchooser_ui.h 
editorchooser.lo: editorchooser.moc 
$(srcdir)/blockselectiondcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/sessionconfiginterface.cpp: editorchooser_ui.h 
configinterfaceextension.lo: configinterfaceextension.moc 
$(srcdir)/configinterfaceextension.cpp: editorchooser_ui.h 
$(srcdir)/viewcursorinterface.cpp: editorchooser_ui.h 
$(srcdir)/undodcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/editdcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/editinterface.cpp: editorchooser_ui.h 
$(srcdir)/encodinginterface.cpp: editorchooser_ui.h 
$(srcdir)/clipboardinterface.cpp: editorchooser_ui.h 
$(srcdir)/markinterface.cpp: editorchooser_ui.h 
$(srcdir)/clipboarddcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/wordwrapinterface.cpp: editorchooser_ui.h 
$(srcdir)/undointerface.cpp: editorchooser_ui.h 
$(srcdir)/searchinterface.cpp: editorchooser_ui.h 
$(srcdir)/viewstatusmsgdcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/viewcursordcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/selectiondcopinterface.cpp: editorchooser_ui.h 
ktexteditor.o: plugin.moc editor.moc view.moc document.moc 
$(srcdir)/encodingdcopinterface.cpp: editorchooser_ui.h 
$(srcdir)/markinterfaceextension.cpp: editorchooser_ui.h 
$(srcdir)/configinterface.cpp: editorchooser_ui.h 
$(srcdir)/codecompletioninterface.cpp: editorchooser_ui.h 
